#container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    transition: background-color 1s ease;
    flex-wrap: wrap;
}

#startButton {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

#container > h1 {
    text-align: center;
    color: white;
    margin: 10px;
    margin-inline: auto;
}

#container > h1.type {
    overflow: hidden;
    /* Keeps on a singte line */
    white-space: nowrap;
    /* The cursor */
    border-right: Ipx solid;
    /* steps = number of characters */
    animation: typing 3s steps(22) forwards,
    blink 1s step-end infinite;
}

#container > div.buttons {
    display: flex;
    align-items: center;
    justify-content: row;
    gap: 20px;
    flex-wrap: wrap;
}

button {
    margin-top: 20px;
    padding: 10px 20px;
    font-size: 25px;
    background-color: #007BFF;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

button:hover {
    background-color: #0056b3;
}


body.black-background {
    background-color: black;
}

@keyframes typing {
    from {
        width: 0
    }

    to {
        width: 100%
    }
}

@keyframes blink {
    50% {
        border-color: transparent
    }
}

@media screen and (max-width: 800px) {
    #container > h1.type {
        white-space: wrap;
    }

    #container {
        top: 0;
    }
}